import { Component, Input } from '@angular/core';
import { Spell } from 'src/interfaces/interfaces';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'spellcard',
  templateUrl: './spellcard.component.html',
  styleUrl: './spellcard.component.scss',
})
export class SpellcardComponent {
  @Input() public spell!: Spell;

  public constructor(public translate: TranslateService) {}

  public setBackupImage(event: any): void {
    event.target.src = 'assets/images/spells/backup.jpg';
    // event.target.src = 'assets/images/spells/' + this.spell.school + '.png';
  }
}
