import { Component, ViewChild } from '@angular/core';
import { DataService } from 'src/services/data/data.service';

@Component({
  selector: 'ability-panel',
  templateUrl: './ability-panel.component.html',
  styleUrls: ['./ability-panel.component.scss'],
})
export class AbilityPanelComponent {
  active = 1;
  isMonk = false;

  public constructor(private dataAccessor: DataService) {
    this.isMonk = this.dataAccessor.characterData.class === 'monk';
  }
}
