import { Component } from '@angular/core';

@Component({
  selector: 'app-journal-stats',
  templateUrl: './journal-stats.component.html',
  styleUrls: ['./journal-stats.component.scss'],
})
export class JournalStatsComponent {
  public attributes: any = [
    { name: 'strength', skills: ['athletics'] },
    { name: 'dexterity', skills: ['acrobatics', 'sleightOfHand', 'stealth'] },
    { name: 'constitution', skills: [] },
    {
      name: 'intelligence',
      skills: ['arcana', 'history', 'investigation', 'nature', 'religion'],
    },
    {
      name: 'wisdom',
      skills: [
        'animalHandling',
        'insight',
        'medicine',
        'perception',
        'survival',
      ],
    },
    {
      name: 'charisma',
      skills: ['deception', 'intimidation', 'performance', 'persuasion'],
    },
  ];
}
