import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class ListService {
  constructor() {}

  public races: string[] = [
    'aarakocra',
    'aasimar',
    'autognome',
    'bugbear',
    'centaur',
    'changeling',
    'dragonborn',
    'duergar',
    'dwarf',
    'elf',
    'eladrin',
    'fairy',
    'firbolg',
    'genasi',
    'gith',
    'gnome',
    'goblin',
    'goliath',
    'halfElf',
    'halfElfDetection',
    'halfOrc',
    'halfling',
    'hobgoblin',
    'human',
    'kalashtar',
    'kenku',
    'kobold',
    'leonin',
    'lizardfolk',
    'locathah',
    'loxodon',
    'minotaur',
    'orc',
    'owlin',
    'satyr',
    'shifter',
    'tabaxi',
    'tiefling',
    'tortle',
    'triton',
    'vedalken',
    'verdan',
    'warforged',
    'yuanTi',
  ];

  public commonRaces: string[] = [
    'dwarf',
    'elf',
    'gnome',
    'halfElf',
    'halfOrc',
    'halfling',
    'human',
    'dragonborn',
    'tiefling',
  ];

  public otherRaces: string[] = [
    'aarakocra',
    'aasimar',
    'autognome',
    'bugbear',
    'centaur',
    'changeling',
    'duergar',
    'drow',
    'halfElfDetection',
    'eladrin',
    'fairy',
    'firbolg',
    'genasi',
    'gith',
    'goblin',
    'goliath',
    'hobgoblin',
    'kalashtar',
    'kenku',
    'kobold',
    'leonin',
    'lizardfolk',
    'locathah',
    'loxodon',
    'minotaur',
    'orc',
    'owlin',
    'satyr',
    'shifter',
    'tabaxi',
    'tortle',
    'triton',
    'vedalken',
    'verdan',
    'warforged',
    'yuanTi',
  ];

  public classes: string[] = [
    'barbarian',
    'bard',
    'cleric',
    'druid',
    'fighter',
    'monk',
    'paladin',
    'ranger',
    'rogue',
    'sorcerer',
    'warlock',
    'wizard',
    'test',
  ];

  public magicClasses: string[] = [
    'all',
    'artificer',
    'bard',
    'cleric',
    'druid',
    'paladin',
    'ranger',
    'sorcerer',
    'warlock',
    'wizard',
  ];

  public genders: string[] = ['male', 'female', 'diverse'];

  public schools: string[] = [
    'abjuration',
    'conjuration',
    'divination',
    'enchantment',
    'evocation',
    'illusion',
    'necromancy',
    'transmutation',
  ];

  public attributes: string[] = [
    'strength',
    'dexterity',
    'constitution',
    'intelligence',
    'wisdom',
    'charisma',
  ];

  damageTypes: string[] = [
    'slashing',
    'bludgeoning',
    'piercing',
    'fire',
    'force',
    'lightning',
    'necrotic',
    'cold',
    'poison',
    'psychic',
    'radiant',
    'acid',
  ];

  areaTypes: string[] = [
    'sphere',
    'cube',
    'cone',
    'line',
    'cylinder',
    'square',
    'circle',
  ];

  backgrounds: string[] = [
    'acolyte',
    'charlatan',
    'criminal',
    'entertainer',
    'folkHero',
    'guildArtisan',
    'hermit',
    'noble',
    'outlander',
    'sage',
    'sailor',
    'soldier',
    'urchin',
  ];

  durationTypes: string[] = [
    'instant',
    'rounds',
    'minutes',
    'hours',
    'days',
    'permanent',
  ];
}
